<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
	<title>Sucursal</title>
</h:head>
<h:body>
	<ui:composition template="./main.xhtml">
		<ui:define name="content">


			<p:fieldset legend="Sucursal Control" styleClass="container">
				<p:outputPanel class="ui-grid ui-grid-responsive">

					<div class="ui-grid-col-7">
						<h:form id="formCobros">
							<p:growl id="msj" showDetail="true"/>


							<h:panelGrid styleClass="card" style="width:80%; margin-left:5rem;" >
								<f:facet name="header">
									<h3>Registrar sucursal</h3>
								</f:facet>
								<h:panelGrid columns="2" styleClass="grids">
									<p:outputLabel value="Nombre de la sucursal" />
									<p:inputText value="#{supervicionBean.sucursales.nombre}" />
									<p:outputLabel value="Direccion" />
									<p:inputText value="#{supervicionBean.sucursales.direccion}" />
									<p:outputLabel value="Telefono" />
									<p:inputText value="#{supervicionBean.sucursales.telefono}" />


									<h:outputText value="Empresa " />
									<p:selectOneMenu value="#{supervicionBean.empresaID}"
										filter="true" filterMatchMode="startsWith">
										<f:selectItems value="#{supervicionBean.listempresa}" var="t"
											itemLabel="#{t.nombre}" itemValue="#{t.idempresa}" />
									</p:selectOneMenu>

									<h:outputText value="Municipio " />
									<p:selectOneMenu value="#{supervicionBean.muniID}"
										filter="true" filterMatchMode="startsWith">
										<f:selectItems value="#{supervicionBean.listmunicipios}" var="t"
											itemLabel="#{t.municipio}" itemValue="#{t.idmuni}" />
									</p:selectOneMenu>
									<br></br>
									<f:facet name="footer">
										<p:commandButton style="display:block; margin:auto;"
											icon="pi pi-save" value="Registrar Sucursal" actionListener="#{supervicionBean.crearSucursal()}"
											update="formPagos" />
									</f:facet>

								</h:panelGrid>

							</h:panelGrid>

						</h:form>
					</div>


					<div class="ui-grid-col-5">
						<h:form id="formPagos">
							<p:growl id="msj" showDetail="true"/>

							<h:panelGrid styleClass="card" style="width:95%;">
								<f:facet name="header">
									<h3>Sucursales Actuales</h3>
								</f:facet>

								<h:panelGrid columns="4" styleClass="grids">
									<p:dataTable var="su" value="#{supervicionBean.listsucursal}">
										<p:column headerText="Id" rendered="false">
											<h:outputText value="#{su.idsucursal}" />
										</p:column>

										<p:column headerText="Sucursal">
											<h:outputText value="#{su.nombre}" />
										</p:column>
										<p:column headerText="Ubicacion">
											<h:outputText value="#{su.municipios.municipio}" />
										</p:column>
									</p:dataTable>
								</h:panelGrid>
							</h:panelGrid>
						</h:form>
					</div>
				</p:outputPanel>
			</p:fieldset>

			<ui:include src="/footer.xhtml" />
		</ui:define>
	</ui:composition>
</h:body>
</html>